## system-config-samba 1.2.63

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# License: GPL
-# Copyright Red Hat Inc.  Jan 2001
+# License: GPL v2 or later
+# Copyright Red Hat Inc. 2001 - 2007
 
 PKGNAME=system-config-samba
 
-HGUPSTREAM_RE=^ssh://[^@]+@hg.fedoraproject.org//hg/hosted/$(PKGNAME)$$
+HGUPSTREAM_RE=^ssh://[^@]+@hg.fedorahosted.org//hg/$(PKGNAME)$$
 HGREPO=$(shell hg showconfig | awk -F= '/paths.default=/ { print $$2 }')
 VERSION=$(shell awk '/Version:/ { print $$2 }' system-config-samba.spec)
 HGTAG=$(PKGNAME)-$(subst .,_,$(VERSION))
@@ -11,6 +11,7 @@
 SUBDIRS=po
 
 PREFIX=/usr
+BINDIR=${PREFIX}/bin
 DATADIR=${PREFIX}/share
 MANDIR=${DATADIR}/man
 PKGDATADIR=${DATADIR}/${PKGNAME}
@@ -19,7 +20,19 @@
 PAMD_DIR        = /etc/pam.d
 SECURITY_DIR    =/etc/security/console.apps
 
-all:	$(PKGNAME).desktop
+MAKEFILE        := $(lastword $(MAKEFILE_LIST))
+TOPDIR          := $(abspath $(dir $(abspath $(MAKEFILE))))
+DOC_MODULE      = $(PKGNAME)
+DOC_ABS_SRCDIR  = $(TOPDIR)/doc
+DOC_FIGURES_DIR = images
+DOC_FIGURES     = system-config-samba-create-share.png system-config-samba.png system-config-samba-server-settings-basic.png system-config-samba-server-settings-security.png system-config-samba-users.png
+DOC_ENTITIES    = distro-specifics.ent system-config-samba-distro-specifics.ent system-config-samba-abstract.xml system-config-samba-content.xml
+DOC_LINGUAS     = af sq am ar hy as az bal eu eu_ES be be@latin bn bn_IN bs pt_BR en_GB bg my ca zh_CN zh_TW hr cs da nl dz et fi fr gl ka de el gu he hi hu is ilo id it ja kn ko ku lo lv lt mk mai ms ml mr mn ne nso no nb nn or fa pl pt pa ro ru sr si sk sl es sv tl ta te th tr uk ur vi cy zu
+
+all:	$(PKGNAME).desktop $(PKGNAME).console doc-all
+
+include doc_rules.mk
+include console_rules.mk
 
 po/$(PKGNAME).pot:: subdirs
 
@@ -32,26 +45,27 @@
 %.desktop: %.desktop.in po/$(PKGNAME).pot po/*.po
 	intltool-merge -u -d po/ $< $@
 
-install:	all
-	mkdir -p $(DESTDIR)/usr/bin
+install:	all doc-install
+	mkdir -p $(DESTDIR)/$(BINDIR)
 	mkdir -p $(DESTDIR)$(PKGDATADIR)
 	mkdir -p $(DESTDIR)$(PKGIMAGEDIR)
 	mkdir -p $(DESTDIR)$(PAMD_DIR)
 	mkdir -p $(DESTDIR)$(SECURITY_DIR)
-	mkdir -p $(DESTDIR)/usr/share/pixmaps
-	mkdir -p $(DESTDIR)/usr/share/applications
-	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
-	install src/*.py src/smb.conf.template $(DESTDIR)$(PKGDATADIR)
+	mkdir -p $(DESTDIR)/$(DATADIR)/pixmaps
+	mkdir -p $(DESTDIR)/$(DATADIR)/applications
+	mkdir -p $(DESTDIR)/$(DATADIR)/icons/hicolor/48x48/apps
+	install -m 0644 src/*.py src/smb.conf.template $(DESTDIR)$(PKGDATADIR)
+	chmod 0755 $(DESTDIR)$(PKGDATADIR)/system-config-samba.py
 	for py in src/*.py ; do \
 		sed -e s,@VERSION@,$(VERSION),g $${py} > $(DESTDIR)$(PKGDATADIR)/`basename $${py}` ; \
 	done
-	install src/*.glade $(DESTDIR)$(PKGDATADIR)
-	install $(PKGNAME).pam $(DESTDIR)$(PAMD_DIR)/$(PKGNAME)
-	install $(PKGNAME).console $(DESTDIR)$(SECURITY_DIR)/$(PKGNAME)
-	install pixmaps/*.png $(DESTDIR)$(PKGIMAGEDIR)
-	install pixmaps/${PKGNAME}.png $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
-	install ${PKGNAME}.desktop $(DESTDIR)/usr/share/applications/${PKGNAME}.desktop
-	ln -sf consolehelper $(DESTDIR)/usr/bin/$(PKGNAME)
+	install -m 0644 src/*.glade $(DESTDIR)$(PKGDATADIR)
+	install -m 0644 $(PKGNAME).pam $(DESTDIR)$(PAMD_DIR)/$(PKGNAME)
+	install -m 0644 $(PKGNAME).console $(DESTDIR)$(SECURITY_DIR)/$(PKGNAME)
+	install -m 0644 pixmaps/*.png $(DESTDIR)$(PKGIMAGEDIR)
+	install -m 0644 pixmaps/${PKGNAME}.png $(DESTDIR)/$(DATADIR)/icons/hicolor/48x48/apps
+	install -m 0644 ${PKGNAME}.desktop $(DESTDIR)/$(DATADIR)/applications/${PKGNAME}.desktop
+	ln -sf consolehelper $(DESTDIR)/$(BINDIR)/$(PKGNAME)
 	for d in $(SUBDIRS); do \
 	(cd $$d; $(MAKE) DESTDIR=$(DESTDIR) MANDIR=$(MANDIR) install) \
 		|| case "$(MFLAGS)" in *k*) fail=yes;; *) exit 1;; esac; \
@@ -87,12 +101,17 @@
 		exit 1; \
 	fi
 endif
-	@LASTTAG="$$(hg tags -q | head -n 2 | tail -n 1)"; \
+	@if [ -n "$(FORCETAG)" ]; then \
+		FORCE=-f; \
+	else \
+		FORCE=""; \
+	fi; \
+	LASTTAG="$$(hg tags -q | head -n 2 | tail -n 1)"; \
 	if [ -n "$$LASTTAG" -a -z "$$(hg diff --exclude .hgtags -r $$LASTTAG)" ]; then \
 		echo "No differences to last tagged release '$$LASTTAG'. Not tagging."; \
 	else \
 		echo "Tagging '$(HGTAG)'."; \
-		hg tag $(HGTAG); \
+		hg tag $$FORCE $(HGTAG); \
 	fi
 
 ifdef FORCEPUSH
@@ -127,7 +146,26 @@
 	@hg archive -t tbz2 "${PKGNAME}-$(VERSION).tar.bz2"
 	@echo "The _local_ archive is in ${PKGNAME}-$(VERSION).tar.bz2"
 
-clean:
+clean: doc-clean console-clean
 	@rm -fv *~
 	@rm -fv *.pyc
 	@rm -fv system-config-samba.desktop system-config-samba.desktop.in.h
+
+dif:	diff
+
+diff:
+	@echo Differences to tag $(HGTAG):
+	@echo
+	@hg diff -r$(HGTAG) -X .hgtags
+
+sdif:	shortdiff
+
+shortdiff:
+	@echo Files changed since tag $(HGTAG):
+	@hg diff -r$(HGTAG) -X .hgtags | egrep '^---|^\+\+\+' | sed 's:^...[   ][      ]*[ab]/::g' | sort -u
+
+llog:	lastlog
+
+lastlog:
+	@echo Log since tag $(HGTAG):
+	@hg log -v -r $(HGTAG):
