=== po/Makefile ===
--- 
+++ 
@@ -15,8 +15,12 @@
 # destination directory
 INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale
 
+# commands
+DIFF		= /usr/bin/diff
+GREP		= /bin/grep
+
 # PO catalog handling
-MSGMERGE	= msgmerge -v
+MSGMERGE	= msgmerge -v -N
 XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE) \
 		  --add-comments		  
 MSGFMT		= msgfmt --statistics --verbose
@@ -31,26 +35,36 @@
 
 all::  update-po $(MOFILES)
 
+po_diff_and_mv_or_rm  = \
+	if [ ! -f "$(1)" ] || ($(DIFF) "$(1)" "$(2)" | $(GREP) -v '^. "POT-Creation-Date:' | $(GREP) -q '^[<>] [^\#]'); then \
+		echo "Creating/updating $(1)"; \
+		mv -f $(2) $(1); \
+	else \
+		rm -f $(2); \
+	fi
+
+po_diff_and_mv_or_rm_func = \
+	function po_diff_and_mv_or_rm () { \
+		$(call po_diff_and_mv_or_rm,$$1,$$2) \
+	}
+
 $(POTFILE): $(SRCFILES)
 	$(XGETTEXT) --keyword=_ --keyword=N_ $(SRCFILES)
-	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
-	    rm -f $(NLSPACKAGE).po; \
-	else \
-	    mv -f $(NLSPACKAGE).po $(POTFILE); \
-	fi; \
+	@$(call po_diff_and_mv_or_rm,$(POTFILE),$(NLSPACKAGE).po)
 
 update-po: Makefile $(POTFILE) refresh-po
 
 refresh-po: Makefile
+	@$(po_diff_and_mv_or_rm_func); \
 	for cat in $(POFILES); do \
 		lang=`basename $$cat .po`; \
 		if $(MSGMERGE) $$lang.po $(POTFILE) > $$lang.pot ; then \
-			mv -f $$lang.pot $$lang.po ; \
 			echo "$(MSGMERGE) of $$lang succeeded" ; \
+			po_diff_and_mv_or_rm $$lang.po $$lang.pot; \
 		else \
 			echo "$(MSGMERGE) of $$lang failed" ; \
 			rm -f $$lang.pot ; \
-		fi \
+		fi; \
 	done
 
 clean:
