=== debian/changelog ===
system-config-samba (1.2.63-1mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use debhelper 10 compat.
  * debian/rules:  remove call to deprecated dh_desktop.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Aug 2017 10:56:52 -0700

system-config-samba (1.2.63-0mx150+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Remove quilt as build-depend.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 29 May 2015 14:07:30 -0700

system-config-samba (1.2.63-mcr120+2) mepis; urgency=low

  * Rebuild for MEPIS 12.0.
  * debian/rules: compress deb packages with xz.
  * Switch to 3.0 (quilt) source format.
  * Add python-smbc as a Depends. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 10 Feb 2015 11:34:13 -0800

system-config-samba (1.2.63-0ubuntu6) trusty; urgency=medium

  * Port to dh_python2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 26 Jan 2014 23:15:20 +0000

system-config-samba (1.2.63-0ubuntu5) precise; urgency=low

  * debian/control: add a dependency on python-glade2 (LP: #749748)

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Feb 2012 10:16:25 -0800

system-config-samba (1.2.63-0ubuntu4) intrepid; urgency=low

  * debian/patches/02_get_rid_of_rhpl (LP: #280872)
    - Ported old patch to quilt and new source tarball (thanks
      to Brian Murray).

 -- Chris Coulson <chrisccoulson@googlemail.com>  Thu, 16 Oct 2008 21:45:53 +0100

system-config-samba (1.2.63-0ubuntu3) intrepid; urgency=low

  * Missing build-dependencies:
    - rarian-compat
    - pkg-config
    - gnome-doc-utils
  * debian/patches/06_bashisms.patch:
    - Fix another bashism which caused a FTBFS.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 09 Oct 2008 00:39:54 +0200

system-config-samba (1.2.63-0ubuntu2) intrepid; urgency=low

  * Replace dpatch dependency with a quilt ditto.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 28 May 2008 09:40:48 +0200

system-config-samba (1.2.63-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * Switch to quilt for patch management.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 14 May 2008 10:23:51 +0200

system-config-samba (1.2.50-0ubuntu2) gutsy; urgency=low

  * Remove writeSmbPasswdFile from old patch.
  * Add descriptions for the included dpatches.
  * Don't use python-disutils cdbs class.

 -- Soren Hansen <soren@ubuntu.com>  Mon, 10 Sep 2007 10:11:52 +0200

system-config-samba (1.2.50-0ubuntu1) gutsy; urgency=low

  * Initial release

 -- Soren Hansen <soren@ubuntu.com>  Sat, 01 Sep 2007 13:47:34 +0200
