=== debian/control ===
Source: system-config-samba
Section: admin
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 10), intltool,
 dh-python, python-all-dev (>= 2.3.5-11),
 rarian-compat, pkg-config, gnome-doc-utils
Standards-Version: 3.7.2

Package: system-config-samba
Architecture: all
Depends: ${python:Depends}, samba, python-libuser, python-glade2, python-smbc
Description: GUI for managing samba shares and users
 system-config-samba is a graphical user interface for creating, 
 modifying, and deleting samba shares and users.
